set default=defaultboot
set timeout=0
set timeout_style=countdown

loadfont $prefix/dejavu-bold-16.pf2
loadfont $prefix/dejavu-bold-14.pf2
loadfont $prefix/unicode.pf2
set gfxmode=auto
insmod all_video
insmod gfxterm
insmod png
terminal_output gfxterm
background_image /boot/grub/splash.png

set color_normal=white/black
set color_highlight=black/white

if [ -e /isolinux/splash.png ]; then
    # binary_syslinux modifies the theme file to point to the correct
    # background picture
    set theme=/boot/grub/live-theme/theme.txt
elif [ -e /boot/grub/splash.png ]; then
    set theme=/boot/grub/live-theme/theme.txt
else
    set menu_color_normal=cyan/blue
    set menu_color_highlight=white/blue
fi

menuentry "Live system " {
    #echo "Please wait...".
    linux /live/vmlinuz-5.18.0-0.deb11.4-amd64 boot=live config findiso=${iso_path} locales=en_US.UTF-8 quiet splash
    initrd /live/initrd.img-5.18.0-0.deb11.4-amd64
}

menuentry "Live system (ToRam)" --id defaultboot {
    #echo "Please wait...".
    linux /live/vmlinuz-5.18.0-0.deb11.4-amd64 boot=live config findiso=${iso_path} toram locales=en_US.UTF-8 quiet splash
    initrd /live/initrd.img-5.18.0-0.deb11.4-amd64
}

submenu 'Advanced options...' {

# More installer entries (if any)
menuentry "Live system" --hotkey=l {
	linux	/live/vmlinuz-5.18.0-0.deb11.4-amd64 boot=live config findiso=${iso_path}
	initrd	/live/initrd.img-5.18.0-0.deb11.4-amd64
}
menuentry "Live system (fail-safe mode)" {
	linux	/live/vmlinuz-5.18.0-0.deb11.4-amd64 boot=live components memtest noapic noapm nodma nomce nolapic nomodeset nosmp nosplash vga=788
	initrd	/live/initrd.img-5.18.0-0.deb11.4-amd64
}
source /boot/grub/install.cfg

# Memtest (if any)


}